This is a *partial* C90ish port of harfbuzz

How to build and install? See output from $./make --help

The build system is insanely... simple with a sub-low technical cost.

Maybe adding international stuff with libindi/libthai/fribidi/etc?
